Commit 812715a4 authored by Michael Albinus's avatar Michael Albinus

Merge from origin/emacs-26

305abae5 Raise required librsvg version so as to match the current use
c6775bc9 * lisp/net/tramp-sh.el (tramp-inline-compress-start-size):...
parents 955db220 305abae5
Pipeline #2382 failed with stage
in 90 minutes and 2 seconds
......@@ -2603,7 +2603,7 @@ fi
HAVE_RSVG=no
if test "${HAVE_X11}" = "yes" || test "${HAVE_NS}" = "yes" || test "${opsys}" = "mingw32"; then
if test "${with_rsvg}" != "no"; then
RSVG_REQUIRED=2.11.0
RSVG_REQUIRED=2.14.0
RSVG_MODULE="librsvg-2.0 >= $RSVG_REQUIRED"
EMACS_CHECK_MODULES([RSVG], [$RSVG_MODULE])
......
......@@ -38,12 +38,14 @@
(defvar vc-hg-program)
;;;###tramp-autoload
(defcustom tramp-inline-compress-start-size 4096
(defcustom tramp-inline-compress-start-size
(unless (memq system-type '(windows-nt)) 4096)
"The minimum size of compressing where inline transfer.
When inline transfer, compress transferred data of file
whose size is this value or above (up to `tramp-copy-size-limit').
If it is nil, no compression at all will be applied."
:group 'tramp
:version "26.3"
:type '(choice (const nil) integer))
;;;###tramp-autoload
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment